#########################
##     Lint Checks     ##
#########################
check:rubocop:
  stage: check
  image: ruby:2.6-alpine
  before_script:
    - apk add build-base
    - gem install bundler && bundle config without run && bundle install
  script:
    - rubocop --parallel
  except:
    - schedules
    - tags

check:yamllint:
  stage: check
  # Use an up to date image of yamllint that can handle unicode emojis
  image: pipelinecomponents/yamllint
  script:
    - yamllint .gitlab-ci.yml .gitlab/ci/
  except:
    - schedules
    - tags
